LinuxQMISDK: voiceGetAllCallInfo Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
voiceGetAllCallInfo Struct Reference

## Data Fields
arrCallInfo * | pArrCallInfo
arrRemotePartyNum * | pArrRemotePartyNum
arrRemotePartyName * | pArrRemotePartyName
arrAlertingType * | pArrAlertingType
arrUUSInfo * | pArrUUSInfo
arrSvcOption * | pArrSvcOption
BYTE * | pOTASPStatus
BYTE * | pVoicePrivacy
arrCallEndReason * | pArrCallEndReason
arrAlphaID * | pArrAlphaID
arrConnectPartyNum * | pArrConnectPartyNum
arrDiagInfo * | pArrDiagInfo
arrCalledPartyNum * | pArrCalledPartyNum
arrRedirPartyNum * | pArrRedirPartyNum
arrAlertingPattern * | pArrAlertingPattern

## Detailed Description

This structure contains information about the response parameters with all the calls originating or terminating from a particular device.

Parameters

  pArrCallInfo | See arrCallInfo for more information.
  pArrRemotePartyNum | See arrRemotePartyNum for more information.
  pArrRemotePartyName | See arrRemotePartyName for more information.
  pArrAlertingType | See arrAlertingType for more information.
  pArrUUSInfo | See arrUUSInfo for more information.
  pArrSvcOption | See arrSvcOption for more information.
  pOTASPStatus | OTASP status for the OTASP call. Applicable only for 3GPP2 devices. 0x00 - OTASP_STATUS_SPL_UNLOCKED - SPL unlocked; only for user-initiated OTASP 0x01 - OTASP_STATUS_SPRC_RETRIES_EXCEEDED - SPC retries exceeded; only for user-initiated OTASP 0x02 - OTASP_STATUS_AKEY_EXCHANGED - A-key exchanged; only for user-initiated OTASP 0x03 - OTASP_STATUS_SSD_UPDATED - SSD updated; for both user-initiated OTASP and network-initiated OTASP (OTAPA) 0x04 - OTASP_STATUS_NAM_DOWNLOADED - NAM downloaded; only for user-initiated OTASP 0x05 - OTASP_STATUS_MDN_DOWNLOADED - MDN downloaded; only for user-initiated OTASP 0x06 - OTASP_STATUS_IMSI_DOWNLOADED - IMSI downloaded; only for user-initiated OTASP 0x07 - OTASP_STATUS_PRL_DOWNLOADED - PRL downloaded; only for user-initiated OTASP 0x08 - OTASP_STATUS_COMMITTED - Commit successful; only for user-initiated OTASP 0x09 - OTASP_STATUS_OTAPA_STARTED - OTAPA started; only for network-initiated OTASP (OTAPA) 0x0A - OTASP_STATUS_OTAPA_STOPPED - OTAPA stopped; only for network-initiated OTASP (OTAPA) 0x0B - OTASP_STATUS_OTAPA_ABORTED - OTAPA aborted; only for network-initiated OTASP (OTAPA) 0x0C - OTASP_STATUS_OTAPA_COMMITTED - OTAPA committed; only for network-initiated OTASP (OTAPA) 0xFF - Not Available
  pVoicePrivacy | Voice Privacy. Values. 0x00 - VOICE_PRIVACY_STANDARD - Standard privacy 0x01 - VOICE_PRIVACY_ENHANCED - Enhanced privacy 0xFF - Not Available
  pArrCallEndReason | See arrCallEndReason for more information.
  pArrAlphaID | See arrAlphaID for more information.
  pArrConnectPartyNum | See arrConnectPartyNum for more information.
  pArrDiagInfo | See arrDiagInfo for more information.
  pArrCalledPartyNum | See arrCalledPartyNum for more information.
  pArrRedirPartyNum | See arrRedirPartyNum for more information.
  pArrAlertingPattern | See arrAlertingPattern for more information.

## Field Documentation

arrAlertingPattern* voiceGetAllCallInfo::pArrAlertingPattern

arrAlertingType* voiceGetAllCallInfo::pArrAlertingType

arrAlphaID* voiceGetAllCallInfo::pArrAlphaID

arrCalledPartyNum* voiceGetAllCallInfo::pArrCalledPartyNum

arrCallEndReason* voiceGetAllCallInfo::pArrCallEndReason

arrCallInfo* voiceGetAllCallInfo::pArrCallInfo

arrConnectPartyNum* voiceGetAllCallInfo::pArrConnectPartyNum

arrDiagInfo* voiceGetAllCallInfo::pArrDiagInfo

arrRedirPartyNum* voiceGetAllCallInfo::pArrRedirPartyNum

arrRemotePartyName* voiceGetAllCallInfo::pArrRemotePartyName

arrRemotePartyNum* voiceGetAllCallInfo::pArrRemotePartyNum

arrSvcOption* voiceGetAllCallInfo::pArrSvcOption

arrUUSInfo* voiceGetAllCallInfo::pArrUUSInfo

BYTE* voiceGetAllCallInfo::pOTASPStatus

BYTE* voiceGetAllCallInfo::pVoicePrivacy